Subject: Re: somewhat OT -- trying to build code on the fly then run it

From: Chris Friesen <[email-masked]>
Date: Tue, 05 Apr 2005 10:43:54 -0600

Fillod Stephane wrote:
> Chris Friesen wrote: 
> 
>>I'm writing a testcase to test some code we wrote to allow userspace
> to flush the whole dcache and invalidate the whole icache.  
> 
> 
> Your testcase sounds like this kernel module for RT load generator:
> 
> 	http://rtai.dk/cgi-bin/gratiswiki.pl?Latency_Killer/Flushy

Unfortunately that code calls flush_instruction_cache(), which doesn't 
work on the 970 in the ppc tree, and doesn't even exist anymore in the 
ppc64 tree.

Chris